31 мар. 2010 г.

VMware Server 2.0.x + Kernel 2.6.32

При установке vmware-server-2.0.2 на ядро 2.6.32 имеются, оказывается, грабли: установщик не может скомпилировать модули для работы сетевой подсистемы. Интернет говорит, надо что-то патчить. А лень ;). Но если взять вот этот скриптик (полный мануал и авторский пост тут), то он сам все сделает и запустить vmware-install.pl по завершении своей деятельности. За что ему (и скрипту, и автору - Radu Cotescu ) башое человеческое спасибо!
UPD: на оффсайте проблему работы под 2.6.32 вроде как тоже видели, и, мол, решается она правкой пары строчек  в сорцах модулей - вот так. Возможно, описанный выше скрипт сгружает патч, делающий именно это. А может и нет. Времени проверять второй вариант нет, поэтому оставляю лишь для общего развития с ярлычком "нетрогано"